import sqlite3

def getCursorWithSpatialite(db_path: str = None) -> sqlite3.Cursor:
    db = sqlite3.connect(db_path)
    cur = db.cursor()
    db.enable_load_extension(True)
    cur.execute('SELECT load_extension("mod_spatialite")')
    return cur

def getBasicCursor(db_path: str = None) -> sqlite3.Cursor:
    db = sqlite3.connect(db_path)
    cur = db.cursor()
    return cur
